<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/include/Exception Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_e5b3fe71963387781ba01d2a56ee1874.html">include</a></li><li class="navelem"><a class="el" href="dir_0110e4e7c5f9771c79c9be9d0e08a8ab.html">Exception</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Exception Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_game_player_die_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_game_player_die_8hpp.html">GamePlayerDie.hpp</a> <a href="_game_player_die_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:_game_player_die_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">: Exception file This exception is intended to be rise when the player's team die (and means it's a lose) <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_log_cant_be_write_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_log_cant_be_write_8hpp.html">LogCantBeWrite.hpp</a> <a href="_log_cant_be_write_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:_log_cant_be_write_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">: Exception file This exception is intended to be rise when the the logs can be written in the specified file The reason can be : The folder for the file didn't exist; the file is used by another program; etc. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_menu_item_not_found_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_menu_item_not_found_8hpp.html">MenuItemNotFound.hpp</a> <a href="_menu_item_not_found_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:_menu_item_not_found_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">: Exception file This exception is intended to be rise when a nonexistant menu is selected <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_menu_item_out_of_menu_limit_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_menu_item_out_of_menu_limit_8hpp.html">MenuItemOutOfMenuLimit.hpp</a> <a href="_menu_item_out_of_menu_limit_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:_menu_item_out_of_menu_limit_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">: Exception file This exception is intended to be rise when there is too much menu items in a menu <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_text_out_of_display_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_text_out_of_display_8hpp.html">TextOutOfDisplay.hpp</a> <a href="_text_out_of_display_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:_text_out_of_display_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">: Exception file This exception is intended to be rise when the text is longer than the destined area of where it is displayed <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
